## org.ascape.util.sweep
Class SweepDimension.TypedDoubleSweepDimension

    java.lang.Object
      org.ascape.util.sweep.SweepDimension.TypedDoubleSweepDimension

All Implemented Interfaces:
  Sweepable

Enclosing class:
  SweepDimension

    public class SweepDimension.TypedDoubleSweepDimension

extends java.lang.Object

Constructor Summary
`SweepDimension.TypedDoubleSweepDimension()`
`SweepDimension.TypedDoubleSweepDimension(double start, double end, double increment)`

Method Summary
`java.lang.String` `getIncrementAsText()`
`java.lang.String` `getMaxAsText()`
`java.lang.String` `getMinAsText()`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `reset()`
`void` `setIncrementAsText(java.lang.String s)`
`void` `setMaxAsText(java.lang.String s)`
`void` `setMinAsText(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweepDimension.TypedDoubleSweepDimension

    public SweepDimension.TypedDoubleSweepDimension()

### SweepDimension.TypedDoubleSweepDimension

    public SweepDimension.TypedDoubleSweepDimension(double start,
                                                    double end,
                                                    double increment)

Method Detail

### reset

    public void reset()

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### getMinAsText

    public java.lang.String getMinAsText()

### setMinAsText

    public void setMinAsText(java.lang.String s)

### getMaxAsText

    public java.lang.String getMaxAsText()

### setMaxAsText

    public void setMaxAsText(java.lang.String s)

### getIncrementAsText

    public java.lang.String getIncrementAsText()

### setIncrementAsText

    public void setIncrementAsText(java.lang.String s)